# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "gigtag"
version = "0.1.6"
include = [
    "/src",
    "/README.md",
    "/LICENSES",
]
description = "A lightweight, textual tagging system for DJs."
readme = "README.md"
keywords = [
    "music",
    "dj",
    "metadata",
    "tagging",
]
categories = ["parser-implementations"]
license = "MPL-2.0"
repository = "https://github.com/uklotzde/gigtag"

[dependencies.anyhow]
version = "1.0.71"

[dependencies.compact_str]
version = "0.7.0"

[dependencies.itertools]
version = "0.10.5"

[dependencies.percent-encoding]
version = "2.3.0"

[dependencies.regex]
version = "1.8.4"

[dependencies.thiserror]
version = "1.0.40"

[dependencies.time]
version = "0.3.21"
features = [
    "formatting",
    "macros",
    "parsing",
]

[dependencies.url]
version = "2.4.0"

[features]
default = []
